Package picard.sam

# Class CreateSequenceDictionary.CreateSeqDictReferenceArgumentCollection

java.lang.Object
picard.sam.CreateSequenceDictionary.CreateSeqDictReferenceArgumentCollection

All Implemented Interfaces:
  `ReferenceArgumentCollection`

Enclosing class:
  CreateSequenceDictionary

public static class CreateSequenceDictionary.CreateSeqDictReferenceArgumentCollection extends Object implements ReferenceArgumentCollection

## Field Summary

Fields
Modifier and Type
Field
Description
`File`
`REFERENCE`

## Constructor Summary

Constructors
Constructor
Description
`CreateSeqDictReferenceArgumentCollection()`

## Method Summary

Modifier and Type
Method
Description
`File`
`getReferenceFile()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### REFERENCE

@Argument(doc="Input reference fasta or fasta.gz", shortName="R") public File REFERENCE

## Constructor Details

### CreateSeqDictReferenceArgumentCollection

public CreateSeqDictReferenceArgumentCollection()

## Method Details

### getReferenceFile

public File getReferenceFile()

Specified by:
  `getReferenceFile` in interface `ReferenceArgumentCollection`
Returns:
  The reference provided by the user, if any, or the default, if any.